package com.heyu.api.data.service.operation;
/**
* <p>
* 场景下的条件配置 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.operation.OperatinConditionEntity;
public interface OperatinConditionService extends IService<OperatinConditionEntity> {



	OperatinConditionEntity selectOperatinConditionById(Long id);


	Long insertOperatinCondition(OperatinConditionEntity operatinCondition);


	Long insertOrUpdateOperatinCondition(OperatinConditionEntity operatinCondition);


	int updateOperatinConditionById(OperatinConditionEntity operatinCondition);


	int updateCoverOperatinConditionById(OperatinConditionEntity operatinCondition);


	int deleteOperatinConditionById(Long id);


}